{ lib, ... }:
with lib;
{
  options.nas-apps.manyfold = {
    enable = mkEnableOption "manyfold docker service";

    autoStart = mkOption {
      type = types.bool;
      default = true;
    };

    httpPort = mkOption {
      type = types.str;
      default = "3214";
    };

    name = mkOption {
      type = types.str;
      default = "manyfold";
    };

    image = mkOption {
      type = types.str;
      default = "ghcr.io/manyfold3d/manyfold-solo";
    };

    configPath = mkOption {
      type = types.str;
      default = "/media/nas/ssd/nix-app-data/manyfold";
    };

    dataPath = mkOption {
      type = types.str;
      default = "/media/nas/main/3d_printer";
    };

    puid = mkOption {
      type = types.str;
      default = "911";
    };

    pgid = mkOption {
      type = types.str;
      default = "1000";
    };

    timeZone = mkOption {
      type = types.str;
      default = "America/Chicago";
    };
  };
}
